/* ARCHIVO: decimal_a_binarioR
*  DESCRIPCIN: Contiene la implementacin de un programa que dado un nmero entero 
*				positivo en base 10 lo imprime en base 2.
*  AUTOR: Luis Galrraga Del Prado
*  FECHA DE CREACIN: 09-octubre-2005
*/

#include <stdio.h>

void DecimalABinarioR(int numero);

void main(){
	int n;
	printf("Ingrese un n%cmero entero en base 10: ",163);
	scanf("%d",&n);
	DecimalABinarioR(n);
	getch();
}

/* PROCEDIMIENTO: DecimalABinarioR
*  DESCRIPCIN: Recibe un nmero entero positivo en base 10 e imprime su equivalente 
*				en base 2. 
*/
void DecimalABinarioR(int numero){
	if(numero == 0)
		return;
	else{
		DecimalABinarioR(numero/2);
		printf("%d",numero%2);
	}
}