/* ARCHIVO: juan_peter.c
*  DESCRIPCIN: Juan Peter ha descubierto una forma divertida de invertir el contenido
*				de un archivo en forma recursiva, utilizando el siguiente mecanismo:
*				Teniendo el archivo origen abierto en modo lectura y el destino en modo
*				escritura; se lee un carcter del archivo origen y luego se pregunta si
*				se ha llegado al fin de archivo. Si se ha llegado, se termina inmediata
*				mente el procedimiento. Si no se ha llegado al fin se llama al procedi-
*				miento nuevamente y se imprime el caracter ledo.
*  AUTOR: Luis Galrraga Del Prado.
*  FECHA DE CREACIN: 13-octubre-2005
*/
#include <stdio.h>

void Invertir_Archivo_R(FILE *origen, FILE *destino);

void main(){
	FILE *original, *invertido;
	char infilename[256], outfilename[256];

	printf("Archivo de origen: ");
	scanf("%s",infilename);
	original = fopen(infilename,"r");
	if(!infilename){
		printf("El archivo especificado no existe");
		return;
	}

	printf("Archivo invertido: ");
	scanf("%s",outfilename);
	invertido = fopen(outfilename,"w");

	Invertir_Archivo_R(original, invertido);
}

void Invertir_Archivo_R(FILE *origen, FILE *destino){
	char c;

	c = fgetc(origen);
	if(feof(origen))
		return;
	else{
		Invertir_Archivo_R(origen, destino);
		fputc(c,destino);
	}
}
